#!/bin/bash

#---------------------------------------------------------------------
# EasySTAT (dim) v.1.10
#---------------------------------------------------------------------
#
# STATS env contains the list of stat commands
# to be collected in the following syntax :
#
#    "Name1!Command1[; NameN!CommandN]"
#
# Change the default STATS list according your needs...
# edit the $DIR/bin/.env-easystat file
#
# Have fun! :)
# -Dimitri
#---------------------------------------------------------------------

VER="v.1.10"

# Forcing to use BASH..
# (otherwise most of the scripts will not work as expected..)

if [ "X$BASH_VERSION" = "X" ]
then
  echo "Not using BASH !!! Forcing BASH..."
  sleep 1
  exec /bin/bash "$0" "$@"
  exit 1
fi

# set global sys env
. `dirname $0`/../.env

# Compress output files (optional)
# """"""""""""""""""""""""""""""""""""""""
  COMPRESS=gzip
  export COMPRESS

# Auto-include timestamps (optional)
# """"""""""""""""""""""""""""""""""""""""
  TIMER=yes
  export TIMER

# Time duration of stat loop iteration
# """"""""""""""""""""""""""""""""""""""""
  LOOPTIME=60
  export LOOPTIME

# Log output into this file (optional)
# """"""""""""""""""""""""""""""""""""""""
##LOG=/var/log/stat.log
##export LOG

Usage() {
  echo "EasySTAT (dim) $VER "
  echo "  Usage: "
  echo "  $ EasySTAT.sh  OutDIR IntervalSec NbHours [Title Hostname DBname Batch LogOUT LogMSG]"
  exit
}

  if [ "$1" = "-h" ] || [ "$1" = "-?" ] || [ "X$1" = "X" ];
    then Usage;
  fi

#---------------------------------------------------------------------
# Stats to collect
#---------------------------------------------------------------------
# System stats..
  . $DIR/bin/.env-easystat

# Other stats.. (if any)
  for ext in mysql pgsql oracle
  do
    if [ -r $DIR/bin/.env-easystat-$ext ]
    then
      . $DIR/bin/.env-easystat-$ext
    fi
  done
#---------------------------------------------------------------------

  cd $DIR/bin
  exec $DIR/bin/WebX $DIR/bin/x.EasySTAT -Home "$DIR" -Dir "$1" -Timeout "$2" -Hours "$3" -Title "$4" -Host "$5" -Base "$6" -Batch "$7" -Log "$8" -LogMSG "$9"

#---------------------------------------------------------------------
